be.vlaanderen.mercurius.insurability.schemas.v1

## Class WZCMHDF001DetermineInsurabilityRequest

- java.lang.Object
- - be.vlaanderen.mercurius.insurability.schemas.v1.WZCMHDF001DetermineInsurabilityRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class WZCMHDF001DetermineInsurabilityRequest
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}MessageMetadataType"/>
               <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
               <element name="Context" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}ContextType"/>
               <element name="PersonInformation" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WZCMHDF001DetermineInsurabilityRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContextType` | `getContext()` Gets the value of the context property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `MessageMetadataType` | `getMessageMetadata()` Gets the value of the messageMetadata property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `boolean` | `isPersonInformation()` Gets the value of the personInformation property.
    `void` | `setContext(ContextType value)` Sets the value of the context property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setMessageMetadata(MessageMetadataType value)` Sets the value of the messageMetadata property.
    `void` | `setPersonInformation(boolean value)` Sets the value of the personInformation property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WZCMHDF001DetermineInsurabilityRequest

          public WZCMHDF001DetermineInsurabilityRequest()

  - ### Method Detail

    - #### getMessageMetadata

          public MessageMetadataType getMessageMetadata()

      Gets the value of the messageMetadata property.
      Returns:
        possible object is `MessageMetadataType`

    - #### setMessageMetadata

          public void setMessageMetadata(MessageMetadataType value)

      Sets the value of the messageMetadata property.
      Parameters:
        `value` - allowed object is `MessageMetadataType`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getContext

          public ContextType getContext()

      Gets the value of the context property.
      Returns:
        possible object is `ContextType`

    - #### setContext

          public void setContext(ContextType value)

      Sets the value of the context property.
      Parameters:
        `value` - allowed object is `ContextType`

    - #### isPersonInformation

          public boolean isPersonInformation()

      Gets the value of the personInformation property.

    - #### setPersonInformation

          public void setPersonInformation(boolean value)

      Sets the value of the personInformation property.

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.